Bug 1624725 (rust-lock_api) - Review Request: rust-lock_api - Wrappers to create fully-featured Mutex and RwLock types. Compatible with no_std.
Summary: Review Request: rust-lock_api - Wrappers to create fully-featured Mutex and R...
Keywords:
Status: CLOSED ERRATA
Alias: rust-lock_api
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: rust-parking_lot
TreeView+ depends on / blocked
 
Reported: 2018-09-03 07:24 UTC by Igor Raits
Modified: 2018-10-30 17:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-03 18:57:25 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Igor Raits 2018-09-03 07:24:25 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/for-review/rust-lock_api.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/for-review/rust-lock_api-0.1.3-1.fc30.src.rpm
Description:
Wrappers to create fully-featured Mutex and RwLock types. Compatible with no_std..
Fedora Account System Username: ignatenkobrain

Comment 1 Robert-André Mauchin 🐧 2018-09-03 14:23:58 UTC
 - License ok
 - Latest version packaged
 - Builds in mock
 - Conforms to Packaging Guidelines

 - Shorten the summary and remove the dot at the end:

rust-lock_api-devel.noarch: W: summary-ended-with-dot C Wrappers to create fully-featured Mutex and RwLock types. Compatible with no_std.
rust-lock_api-devel.noarch: E: summary-too-long C Wrappers to create fully-featured Mutex and RwLock types. Compatible with no_std.

 - Split the description to stay below 80 characters per lines.

rust-lock_api.src: E: description-line-too-long C Wrappers to create fully-featured Mutex and RwLock types. Compatible with no_std..


Package approved. Please fix the above issue before import.

Comment 2 Igor Raits 2018-09-03 16:52:49 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-lock_api

Comment 3 Fedora Update System 2018-09-27 01:32:12 UTC
rust-lock_api-0.1.3-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-41cc124c88

Comment 4 Fedora Update System 2018-09-27 16:43:04 UTC
rust-lock_api-0.1.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-41cc124c88

Comment 5 Fedora Update System 2018-10-30 17:16:29 UTC
rust-lock_api-0.1.3-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.